package com.fzm.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.common.entity.AuthPerson;
import com.fzm.common.entity.EntrustShelf;

/**
 * @author tangtuo
 * @date 2021/6/28 11:28
 */
public interface EntrustShelfService extends IService<EntrustShelf> {

    /**
     * 提交委托上架申请
     *
     * @param entrustShelf
     * @return
     */
    Boolean submit(EntrustShelf entrustShelf);

    /**
     * 取消委托上架申请
     *
     * @param id
     * @return
     */
    Boolean cancel(Integer id);
}
